package com.YuyeTech.TPlat.enums;

import lombok.Getter;

/**
 * @author:slambb
 * @date:2020/3/20
 */
@Getter
public enum DeviceEnum implements CodeEnum {
    NOT_DEVICE_TYPE(700,"不存在设备类型"),
    HAS_BIND_DEVICE_TYPE(700,"用户已绑定过此类型设备"),
    NOT_DEVICE_UUID(700,"没有对应的设备码"),
    UUID_HAD_USED(700,"设备码已使用过"),

    UUID_NULL(701,"设备码为空"),
    //唯一的code 711.其余不重复设置711，前端判断
    NOT_BLE_MAC(711,"不存在此蓝牙设备"),
    HAS_BLE_BIND(721,"已绑定过此蓝牙设备"),
    HAS_BLE_USED(722,"蓝牙设备已经绑定过"),
    CAN_BLE_BIND(731,"可以绑定此蓝牙设备"),

    ;
    private Integer code;

    private String message;

    DeviceEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}
